%define upstream_name    Text-Levenshtein
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An implementation of the Levenshtein edit distance
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Unicode::Collate) >= 1.40.0
BuildRequires: perl(lib)
BuildRequires: perl(open)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements the Levenshtein edit distance. The Levenshtein edit
distance is a measure of the degree of proximity between two strings. This
distance is the number of substitutions, deletions or insertions ("edits")
needed to transform one string into the other one (and vice versa). When
two strings have distance 0, they are the same. A good point to start is:
<http://www.merriampark.com/ld.htm>

&fastdistance can be called with two scalars and is faster in most cases.

See also Text::LevenshteinXS on CPAN if you do not require a perl-only
implementation. It is extremely faster in nearly all cases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1034941
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 969192
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 864447
- update to 0.13

* Sun Jun 21 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 836960
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 738913
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 686630
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.90.0-1.mga5
+ Revision: 620765
- update to 0.09

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 515503
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 374116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 154953
- imported package perl-Text-Levenshtein


* Fri Oct 14 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
